#include <X11/X.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xutil.h>
#include <X11/Xlib.h>
#include <X11/Shell.h>

/* Make a widget smaller and back again to cause resize behavior.
   Call with no change in size is ignored.
   There is probably a better way. */

void
cx_resize(Widget w)

{ static char   kws[] = "@(#)cx_resize.c	1.1 ARGOS 94/02/25 11:05:57";

  Arg       args[10];
  int       nn = 0;
  Dimension     width, height;

/* c y a */

  if (!w || !XtIsWidget(w))
    return;

  nn = 0;
  XtSetArg(args[nn], XtNwidth, &width);
  nn++;
  XtSetArg(args[nn], XtNheight, &height);
  nn++;
  XtGetValues(w, args, nn);

  nn = 0;
  XtSetArg(args[nn], XtNwidth, width - 1);
  nn++;
  XtSetArg(args[nn], XtNheight, height - 1);
  nn++;
  XtSetValues(w, args, nn);

  nn = 0;
  XtSetArg(args[nn], XtNwidth, width);
  nn++;
  XtSetArg(args[nn], XtNheight, height);
  nn++;
  XtSetValues(w, args, nn);
}
