/* dec_f.c
   decimal string to float */

#include <stdio.h>
#include <string.h>

long dec_f(char *buff, int col, int ud, float *value)

{ static char     kws[] = "@(#)dec_f.c	1.1 ARGOS 93/12/13 17:37:04";

    float          valtemp;
    float          delta;

/* attempt to decode the current buffer */

    switch (sscanf(buff, "%f", &valtemp)) {

/* correctly accepted all of the buffer but need more */

    case EOF:
	return 0;

/* accepted enough (but could have junk at end) */

    case 1:

/* add or subtract delta worth of position clicked */

	if (ud) {
	    delta = 1;
	    while (col-- > 0)
		delta *= 10;

	    if (ud > 0)
		valtemp += delta;
	    else
		valtemp -= delta;
	}

	*value = valtemp;
	return 1;

/* something bad */

    default:
	return -1;
    }
}
