/* dec_l.c
   decimal string to long */

#include <stdio.h>
#include <string.h>

long dec_l(char *buff, int col, int ud, long *value)

{ static char     kws[] = "@(#)dec_l.c	1.1 ARGOS 93/12/13 17:37:05";

    long          valtemp;
    long          delta, many;

/* attempt to decode the current buffer */

    switch (sscanf(buff, "%d", &valtemp)) {

/* correctly accepted all of the buffer but need more */

    case EOF:
	return 0;

/* accepted enough (but could have junk at end) */

    case 1:

/* next or prev value rounded at position clicked:
   + 12|4|0
   = 12|3|4
   - 12|3|0 */

	    delta = 1;
	    while (col-- > 0)
		delta *= 10;

            many = valtemp / delta;

	    if (ud > 0)
		many++;
	    else if (ud < 0)
		many--;

	*value = many * delta;
	return 1;

/* something bad */

    default:
	return -1;
    }
}
